/*-
 * Copyright (C)2014 @BABOLO http://www.babolo.ru/
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: auwith_int.h,v 1.1 2014/08/14 09:34:37 babolo Exp $
 */

#include "auwith.h"

#define AUWITH_RATE     8000                       /*    Hz               */
#define AUWITH_BLOCK    64                         /*           */
#define AUWITH_BITS     16                         /*                  */
#define AUWITH_MIX      "/dev/mixer"
#define AUWITH_DEV      "/dev/dsp"
#define AUWITH_NINP     127 /* up to 32767 */
#define AUWITH_NOUT     127 /* up to 32767 */
#define AUWITH_PLUGINSZ 15  /* up to 32767 */
#define AUWITH_PKTSZ    16384                      /*   IP                   */

#define ERROUT(A,B) do{ex = (A); errno = (B); goto out;}while(0)
#define EXOUT(A) do{ex = (A); goto out;}while(0)
